Get an order
curl --request GET \
--url https://orbitlab.dev/api/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://orbitlab.dev/api/v1/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orbitlab.dev/api/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Billing
Get an order
CLI: orbitlab orders inspect <orderId>
GET
/
v1
/
orders
/
{orderId}
Get an order
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Paramètres de chemin
Order id.
Réponse
order (with paymentUrl while pending), items[], services[].
The response is of type object.
Cette page vous a-t-elle été utile ?